{% extends "blog/base.html" %}{% load blog %}

{% block title %}Blog | {{block.super}} {% endblock %}

{% block extrahead %}
{{ block.super }}

<script type="text/javascript">
$(function() {
    var $link = $('#main-menu a[href={% url 'blog-index' %}]')
    $link.addClass('active');
    {% if category %}
    $('.blog-categories a[rel={{category}}]').addClass('active');
    {% endif %}
    {% if month %}
    $('.blog-archive-list a[rel={{month.month}}_{{month.year}}]').addClass('active');
    {% endif %}
    {% if author_id %}
    $('.blog-authors a[rel={{author_id}}]').addClass('active');
    {% endif %}
});
</script>
{% endblock %}


{% block content %}

{{ block.super }}

<ul class="blog-index wrapper">
{% for entry in entry_list %}
    <li class="blog-entry{% if forloop.last %} last{% endif %}">
        <h2><a href="{{entry.get_absolute_url}}" class="highlight">{{entry.title}}</a></h2>
        <div class="info">
            {{entry.pub_date|date:"n/d/Y"}} | 
            posted by {{entry.author.get_full_name|default:entry.author.username}}
            {% for cat in entry.categories.all %}
            <a href="{% url 'blog-index' %}?cat={{cat.slug}}">{{cat}}</a>{% if not forloop.last %}, {% endif %}
            {% endfor %}
            | <a href="{{entry.get_absolute_url}}">Permalink</a>
        </div>

        <div class="body">
            {{ entry.excerpt|safe }}
        </div>
    </li>
{% endfor %}
</ul>
{% endblock %}

